# AccountDetails

Account details

## GET /v3/account/details

> Get account details

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountDetails","description":"Account details"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountDetails":{"type":"object","required":["accountType","firstName","lastName","address","streetNumber","zipCode","city","countryCode","emailAddress","unconfirmedEmail","emailAddressValidated","language","agreeDpa","isAllowedFlexMetal"],"properties":{"accountType":{"type":"integer","format":"integer","description":"Account type: 1 - consumer, 2 - business. Can only be updated by submitting a support ticket."},"companyName":{"type":"string","format":"","description":"Company name (for business accounts). Can only be updated by submitting a support ticket.","nullable":true},"vatNumber":{"type":"string","format":"","description":"VAT number (for business accounts). Can only be updated by submitting a support ticket.","nullable":true},"cocNumber":{"type":"string","format":"","description":"CoC number (only for Netherlands accounts). Can only be updated by submitting a support ticket.","nullable":true},"firstName":{"type":"string","format":"","description":"First name."},"lastName":{"type":"string","format":"","description":"Last name."},"address":{"type":"string","format":"","description":"Address - street name."},"streetNumber":{"type":"string","format":"","description":"House number"},"zipCode":{"type":"string","format":"","description":"ZIP / Post code."},"city":{"type":"string","format":"","description":"City."},"countryCode":{"type":"string","format":"","description":"Country code in ISO 3166-1 alpha-2 format."},"emailAddress":{"type":"string","format":"","description":"Email address","readOnly":true},"unconfirmedEmail":{"allOf":[{"$ref":"#/components/schemas/UnconfirmedEmail"}],"description":"Email address which is not confirmed yet","nullable":true,"readOnly":true},"emailAddressValidated":{"type":"integer","format":"integer","description":"Whether or not email address has been confirmed","nullable":true,"readOnly":true},"phoneNumber":{"type":"string","format":"","description":"Phone number. Either this or phoneNumberMobile is required","nullable":true},"phoneNumberMobile":{"type":"string","format":"","description":"Mobile phone number. Either this or phoneNumber is required","nullable":true},"language":{"type":"integer","format":"integer","description":"Preferred language: 0 - english, 1 - dutch"},"emailAddressAbuse":{"type":"string","format":"","description":"Email address for abuse emails","nullable":true},"newsletter":{"type":"integer","format":"integer","description":"Whether or not newsletter is subscribed to","nullable":true},"agreeToc":{"type":"integer","format":"integer","description":"Whether or not Terms and Conditions are agreed to. Cannot be changed after agreeing.","nullable":true},"agreeAup":{"type":"integer","format":"integer","description":"Whether or not Acceptable Use Policy is agreed to. Cannot be changed after agreeing.","nullable":true},"agreeDpa":{"type":"integer","format":"integer","description":"Whether or not Data Processing Agreement is agreed to. Cannot be changed after agreeing.","nullable":true},"isAllowedFlexMetal":{"type":"integer","format":"integer","description":"Whether or not the user is allowed to order flexmetal servers."}},"additionalProperties":false},"UnconfirmedEmail":{"type":"object","required":["email","expiresAt"],"properties":{"email":{"type":"string","format":"","description":"Email address which is not confirmed yet"},"expiresAt":{"type":"integer","format":"integer","description":"Expiry time of confirmation link","readOnly":true}},"additionalProperties":false,"nullable":true},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/details":{"get":{"tags":["AccountDetails"],"summary":"Get account details","operationId":"getAccountDetails","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountDetails"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/account/details

> Update account details

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountDetails","description":"Account details"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountDetails":{"type":"object","required":["accountType","firstName","lastName","address","streetNumber","zipCode","city","countryCode","emailAddress","unconfirmedEmail","emailAddressValidated","language","agreeDpa","isAllowedFlexMetal"],"properties":{"accountType":{"type":"integer","format":"integer","description":"Account type: 1 - consumer, 2 - business. Can only be updated by submitting a support ticket."},"companyName":{"type":"string","format":"","description":"Company name (for business accounts). Can only be updated by submitting a support ticket.","nullable":true},"vatNumber":{"type":"string","format":"","description":"VAT number (for business accounts). Can only be updated by submitting a support ticket.","nullable":true},"cocNumber":{"type":"string","format":"","description":"CoC number (only for Netherlands accounts). Can only be updated by submitting a support ticket.","nullable":true},"firstName":{"type":"string","format":"","description":"First name."},"lastName":{"type":"string","format":"","description":"Last name."},"address":{"type":"string","format":"","description":"Address - street name."},"streetNumber":{"type":"string","format":"","description":"House number"},"zipCode":{"type":"string","format":"","description":"ZIP / Post code."},"city":{"type":"string","format":"","description":"City."},"countryCode":{"type":"string","format":"","description":"Country code in ISO 3166-1 alpha-2 format."},"emailAddress":{"type":"string","format":"","description":"Email address","readOnly":true},"unconfirmedEmail":{"allOf":[{"$ref":"#/components/schemas/UnconfirmedEmail"}],"description":"Email address which is not confirmed yet","nullable":true,"readOnly":true},"emailAddressValidated":{"type":"integer","format":"integer","description":"Whether or not email address has been confirmed","nullable":true,"readOnly":true},"phoneNumber":{"type":"string","format":"","description":"Phone number. Either this or phoneNumberMobile is required","nullable":true},"phoneNumberMobile":{"type":"string","format":"","description":"Mobile phone number. Either this or phoneNumber is required","nullable":true},"language":{"type":"integer","format":"integer","description":"Preferred language: 0 - english, 1 - dutch"},"emailAddressAbuse":{"type":"string","format":"","description":"Email address for abuse emails","nullable":true},"newsletter":{"type":"integer","format":"integer","description":"Whether or not newsletter is subscribed to","nullable":true},"agreeToc":{"type":"integer","format":"integer","description":"Whether or not Terms and Conditions are agreed to. Cannot be changed after agreeing.","nullable":true},"agreeAup":{"type":"integer","format":"integer","description":"Whether or not Acceptable Use Policy is agreed to. Cannot be changed after agreeing.","nullable":true},"agreeDpa":{"type":"integer","format":"integer","description":"Whether or not Data Processing Agreement is agreed to. Cannot be changed after agreeing.","nullable":true},"isAllowedFlexMetal":{"type":"integer","format":"integer","description":"Whether or not the user is allowed to order flexmetal servers."}},"additionalProperties":false},"UnconfirmedEmail":{"type":"object","required":["email","expiresAt"],"properties":{"email":{"type":"string","format":"","description":"Email address which is not confirmed yet"},"expiresAt":{"type":"integer","format":"integer","description":"Expiry time of confirmation link","readOnly":true}},"additionalProperties":false,"nullable":true},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/details":{"put":{"tags":["AccountDetails"],"summary":"Update account details","operationId":"updateAccountDetails","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountDetails"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountDetails"}}}}},"403":{"description":"Invalid credentials"},"409":{"description":"Conflict"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/account/email/change

> Update the primary email address

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountDetails","description":"Account details"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"EmailChange":{"type":"object","required":["emailAddress","password"],"properties":{"emailAddress":{"type":"string","format":"","description":"New email address"},"password":{"type":"string","format":"","description":"Password of the user account"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/email/change":{"put":{"tags":["AccountDetails"],"summary":"Update the primary email address","operationId":"updateEmailAction","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailChange"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/accountdetails-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
